Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class ManagedRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.ManagedRenderer

Direct Known Subclasses:
  BaseManagedRenderer

public abstract class ManagedRenderer
extends java.lang.Object

A ManagedRenderer is a controller used, in conjunction with `RenderManager`, to construct a correctly ordered response to a `PortletRenderRequest`. Such a response must do any protocol specific preparation before rendering the portlet's contents.

Unless rendering for the default page, a ManagedRenderer's response corresponds to a single render mode.

Constructor Summary
`ManagedRenderer()`

Method Summary
`abstract java.lang.String` | `getContentType()` Gets the MIME type to be used as the content type for this renderer's pages.
`abstract boolean` | `prepareResponse(PortletRenderRequest pr)` Performs any protocol specific preparation that is needed before the render modes's contents are rendered.
`abstract void` | `renderBody(PortletRenderRequest pr)` Performs the steps necessary to render the portlet's contents for this specific `PortletRenderRequest`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedRenderer

    public ManagedRenderer()

Method Detail

### getContentType

    public abstract java.lang.String getContentType()

  Gets the MIME type to be used as the content type for this renderer's pages.
  Returns:
    MIME type to be used as the content type for this renderer's pages.

### prepareResponse

    public abstract boolean prepareResponse(PortletRenderRequest pr)
                                     throws PortletException

  Performs any protocol specific preparation that is needed before the render modes's contents are rendered.
  Parameters:
    `pr` - a `PortletRenderRequest`
  Returns:
    boolean flag indicating whether or not to render the portlet's contents (e.g. is the cached version still valid)

### renderBody

    public abstract void renderBody(PortletRenderRequest pr)
                             throws PortletException

  Performs the steps necessary to render the portlet's contents for this specific `PortletRenderRequest`. If this ManagedRenderer is rendering for the default page, this method should be able to render contents for all remaining supported modes.
  Parameters:
    `pr` - a `PortletRenderRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.